net.sf.jasperreports.engine.fill

## Class JRPrintBand

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRPrintBand

- All Implemented Interfaces:
    JRPrintElementContainer

      public class JRPrintBand
      extends java.lang.Object
      implements JRPrintElementContainer

  Version:
    $Id: JRPrintBand.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `JRPrintBand.ElementsIterator`
    `protected static class` | `JRPrintBand.OffsetElements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintBand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(JRPrintElement element)` Adds an element to the container.
    `void` | `addOffsetElements(java.util.Collection<? extends JRPrintElement> elements, int offsetX, int offsetY)`
    `java.util.List<JRPrintElement>` | `getElements()` Returns the list of `elements` of the container.
    `int` | `getHeight()` Returns the height of the container.
    `java.util.Iterator<JRPrintElement>` | `iterateElements()`
    `void` | `setHeight(int height)` Sets the height of the container.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPrintBand

          public JRPrintBand()

  - ### Method Detail

    - #### getHeight

          public int getHeight()

      Description copied from interface: `JRPrintElementContainer`
      Returns the height of the container.
      Specified by:
        `getHeight` in interface `JRPrintElementContainer`
      Returns:
        the height of the container

    - #### setHeight

          public void setHeight(int height)

      Description copied from interface: `JRPrintElementContainer`
      Sets the height of the container.
      Specified by:
        `setHeight` in interface `JRPrintElementContainer`
      Parameters:
        `height` - the height

    - #### getElements

          public java.util.List<JRPrintElement> getElements()

      Description copied from interface: `JRPrintElementContainer`
      Returns the list of `elements` of the container.
      Specified by:
        `getElements` in interface `JRPrintElementContainer`
      Returns:
        the list of elements

    - #### iterateElements

          public java.util.Iterator<JRPrintElement> iterateElements()

    - #### addElement

          public void addElement(JRPrintElement element)

      Description copied from interface: `JRPrintElementContainer`
      Adds an element to the container.
      Specified by:
        `addElement` in interface `JRPrintElementContainer`
      Parameters:
        `element` - the element to add

    - #### addOffsetElements

          public void addOffsetElements(java.util.Collection<? extends JRPrintElement> elements,
                               int offsetX,
                               int offsetY)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com